--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the name of the field (column) corresponding to the index.
- !ruby/struct:SM::Flow::VERB 
  body: "  res=conn.exec(&quot;SELECT foo,bar AS biggles,jim,jam FROM mytable&quot;)\n  puts res.fieldname(2) =&gt; 'jim'\n  puts res.fieldname(1) =&gt; 'biggles'\n"
- !ruby/struct:SM::Flow::P 
  body: Equivalent to <tt>res.fields[<em>index</em>]</tt>.
full_name: PGresult#fieldname
is_singleton: false
name: fieldname
params: |
  res.fieldname( index )

visibility: public
